'****************************************************************************
'* Filename    : Runstring 8x48 led for ATMEGA8                             *
'* Revision    : 1.0                                                        *
'* Controller  : ATMEGA8                                                    *
'* Compiler    : BASCOM-AVR 1.11.9.0                                        *
'* Author      : Rubashka Vasiliy , Ukraine , 2008                          *
'* WWW         : http://ledeffects.net                                      *
'* Mail        : info@ledeffects.net                                        *
'****************************************************************************
'------------------------------------------------------------------------------
$regfile = "m32def.dat"                                     '   ATMEGA8
$crystal = 14745600                                         '
$baud = 9600                                                '



Config Clock = User


Config Date = Dmy , Separator = .


'------------------------------------------------------------------------------
Dim Simb(9) As Word                                         ' 
Dim Y As Word                                               ' 
Dim Index As Word                                           ' -   
Dim Maxsimb As Word                                         '    
Dim X(72) As Byte                                           '  Asciitable  
Dim X1(72) As Byte
Dim Rrr As Byte                                             ' 
Dim Aaa As Byte                                             ' 
Dim Zzz As Byte                                             ' 
Dim S(9) As Byte                                            '   
Dim M1 As Byte                                              '1   
Dim M2 As Byte                                              '2   
Dim Sdvig_ryada As Byte                                     '  
Dim Stroka As Byte                                          '  
Dim Speed As Byte                                           '  
Dim Stroka_invert As Byte                                   '   
Dim Pattern As Byte                                         '      
Dim Dannye As Byte                                          '   
Dim Temp As Byte                                            '   
Dim Base As Byte                                            '      eeprom
Dim Eepdata As Byte                                         '     eeprom
Dim Ttt As Byte
Dim Last_symbol As Word
Dim Iii As Byte
Dim Hi As Byte , Lo As Byte                                 '      EEPROM
Dim Tmp As Word
Dim Tttt As Word
'Dim Dat As Eram String * 10 At 3
Dim Ddd As String * 5
Dim Iiii As Word
Dim X32 As Byte
Dim X33 As Byte

Dim Text_buffer(200) As Byte                                '     EEPROM
Dim Eeprom_pointer As Word                                  '      EEPROM

'--------  ------------------------


Dim Byte0 As Byte                                           '     
Dim Byte1 As Byte
                           '   
Dim M3 As Integer
Dim T1 As Byte                                              '   
Dim T2 As Byte
Dim N1 As Byte
Dim N2 As Byte
Dim N3 As Byte
Dim N4 As Byte
Dim N5 As Byte
Dim Dsid1(8) As Byte                                        'Dallas ID 64 bits incl CRC
Dim Dsid2(8) As Byte
Dim Dsid3(8) As Byte

'When used like this : DsId(1) = 1wread(8)
'DsId(1) = family code 'Ds1820 10h, DS18B20 28h, Ds18s20 10h
'DsId(2) '48 Bits Serial, LSB
'DsId(3)
'DsId(4)
'DsId(5)
'DsId(6)
'DsId(7) '48 Bits Serial, MSB
'DsId(8) '8 CRC

Dim Sc(9) As Byte                                           'Scratchpad 0-8 72 bits incl CRC, explanations for DS18b20
'Sc(1)  'Temperature LSB
'Sc(2) 'Temperature MSB
'Sc(3) 'TH/user byte 1 also SRAM
'Sc(4) 'TL/user byte 2 also SRAM
'Sc(5) 'config  also SRAM x R1 R0 1 1 1 1 1 - the r1 r0 are config for resolution - write FF to byte for 12 bit - others dont care
'Sc(6) 'res
'Sc(7) 'res
'Sc(8) 'res
'Sc(9) '8 CRC

'DALLAS DS18B20 ROM and scratchpad commands''''''''''''''''''''''''''1wwrite....
'&H 33 read rom - single sensor
'&H 55 match rom, followed by 64 bits
'&H CC skip rom
'&H EC alarm search - ongoining alarm >TH <TL
'&H BE read scratchpad
'&H 44 convert T

'---------------------------------------------------------------------
Ddd = "15:07"




Config 1wire = Porta.0
Config Scl = Portd.6
Config Sda = Portd.5
'Config Twi = 800000
Config I2cdelay = 2
Const Ds1307w = &HD0                                        'Addresses of Ds1307 clock
Const Ds1307r = &HD1
Const Slave_w = &B1010_0000                                 'slave write address  EEPROM
Const Slave_r = &B1010_0001                                 'slave read address  EEPROM
' 
Declare Sub Read_eeprom(byval Adres As Word , Value As Byte)       '   EEPROM
Declare Sub Write_eeprom(byval Adres As Word , Byval Value As Byte)       '    EEPROM

Declare Sub Convallt                                        ' Convert T on ALL sensors
Declare Function Decigrades(byval Sc(9) As Byte) As Integer

'For Tmp = 0 To 511
'Readeeprom M1 , Tmp
'Toggle Portb.4
'Call Write_eeprom(tmp , M1)

'Next
'-------------------------------------------------------------------------------
Config Portc = Output                                       ' 
                                  ' 
Config Portb = Output                                       '     
Portb.1 = 1                                                 ' 
'****************************************************************************
  1wreset                                                   ' 
 1wwrite &HCC                                               ' 
 1wwrite &H44                                               ' 

'****************************************************************************
  Config Timer0 = Timer , Prescale = 1024
  On Timer0 Video
  Enable Interrupts
  Enable Timer0

  '----------------------------------------------------------

Call Write_eeprom(0 , 32)
Call Write_eeprom(1 , 32)
Call Write_eeprom(2 , 49)
Call Write_eeprom(3 , 53)
Call Write_eeprom(4 , 58)
Call Write_eeprom(5 , 48)
Call Write_eeprom(6 , 48)
Call Write_eeprom(7 , 32)
'-----------------------------------------------------------
Call Write_eeprom(8 , 32)
Call Write_eeprom(9 , 51)
Call Write_eeprom(10 , 46)
Call Write_eeprom(11 , 49)
Call Write_eeprom(12 , 49)
Call Write_eeprom(13 , 46)
Call Write_eeprom(14 , 49)
Call Write_eeprom(15 , 49)
'----------------------------- ------------------------------------
Call Write_eeprom(16 , 215)
Call Write_eeprom(17 , 197)
Call Write_eeprom(18 , 210)
Call Write_eeprom(19 , 194)
Call Write_eeprom(20 , 197)
Call Write_eeprom(21 , 208)
Call Write_eeprom(22 , 195)
Call Write_eeprom(23 , 32)
'------------------------------- ------------------------------------
Call Write_eeprom(24 , 140)
Call Write_eeprom(25 , 141)
Call Write_eeprom(26 , 32)
Call Write_eeprom(27 , 32)
Call Write_eeprom(28 , 45)
Call Write_eeprom(29 , 49)
Call Write_eeprom(30 , 53)
Call Write_eeprom(31 , 159)
'------------------------------- -------------------------------------
Call Write_eeprom(32 , 156)
Call Write_eeprom(33 , 157)
Call Write_eeprom(34 , 158)
Call Write_eeprom(35 , 32)
Call Write_eeprom(36 , 43)
Call Write_eeprom(37 , 50)
Call Write_eeprom(38 , 50)
Call Write_eeprom(39 , 159)
'-----------------------------------  -----------------------------------
Call Write_eeprom(40 , 142)
Call Write_eeprom(41 , 143)
Call Write_eeprom(42 , 144)
Call Write_eeprom(43 , 32)
Call Write_eeprom(44 , 43)
Call Write_eeprom(45 , 50)
Call Write_eeprom(46 , 53)
Call Write_eeprom(47 , 159)


For Tttt = 1 To 200
   Iiii = Tttt - 1
   Call Read_eeprom(iiii , Ttt)
   Text_buffer(tttt) = Ttt
 Next Tttt

'Gosub Initializaziya





Do                                                          ' 

Base = Inkey()
If Base = "S" Then                                          '   RS232  "S"
Gosub Download                                              '    
End If



'Gosub Video




'-------------------------------------------------------------------------------
                               ' 


Gosub Initializaziya

For Ttt = 1 To 72
X1(ttt) = X(ttt)
X(ttt) = 0
Next Ttt


  For Ttt = 1 To 63
    X(72) = X1(ttt)
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii
     'Gosub Video
  Waitus 10000
  Next Ttt


  For Ttt = 1 To 4
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii
     'Gosub Video
   Waitus 10000
  Next Ttt


X32 = X(40)
X33 = X(41)

For Ttt = 1 To 6

   X(40) = 0
   X(41) = 0

   For Tttt = 1 To 30
   'Gosub Video
   Next Tttt

   X(40) = X32
   X(41) = X33

   For Tttt = 1 To 30
     Waitus 10000
   'Gosub Video
   Next Tttt

Next Ttt


  For Ttt = 1 To 71
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii
     Waitus 10000
     'Gosub Video
  Next Ttt


'-------------------------------------------------------------------------------


For Ttt = 1 To 8
Simb(ttt) = Ttt + 8
Next Ttt

Gosub Reedeeprom

For Ttt = 1 To 72
X1(ttt) = X(ttt)
X(ttt) = 0
Next Ttt


  For Ttt = 1 To 63
    X(72) = X1(ttt)
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii
       Waitus 10000
     'Gosub Video
  Next Ttt

X(72) = 0

For Ttt = 1 To 100

Waitus 10000
'Gosub Video
Next Ttt


  For Ttt = 1 To 71
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii
      Waitus 10000

     'Gosub Video
  Next Ttt


'-------------------------------------------------------------------------------


For Ttt = 1 To 8
Simb(ttt) = Ttt + 16
Next Ttt

Gosub Reedeeprom

For Ttt = 1 To 72
X1(ttt) = X(ttt)
X(ttt) = 0
Next Ttt


  For Ttt = 1 To 59
    X(72) = X1(ttt)
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii

      Waitus 10000
     'Gosub Video
  Next Ttt

X(72) = 0

For Ttt = 1 To 100
 Waitus 10000

'Gosub Video
Next Ttt


  For Ttt = 1 To 71
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii
       Waitus 10000

     'Gosub Video
  Next Ttt


'-------------------------------------------------------------------------------
 1wreset                                                    ' 
 1wwrite &HCC                                               ' 
 1wwrite &H44

For Ttt = 1 To 8
Simb(ttt) = Ttt + 24
Next Ttt

Gosub Reedeeprom

For Ttt = 1 To 72
X1(ttt) = X(ttt)
X(ttt) = 0
Next Ttt


  For Ttt = 1 To 63
    X(72) = X1(ttt)
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii
      Waitus 10000
     'Gosub Video
  Next Ttt

X(72) = X1(64)

For Ttt = 1 To 100
Waitus 10000

'Gosub Video
Next Ttt


  For Ttt = 1 To 71
     For Iii = 2 To 72
        X(iii -1) = X(iii)
        Next Iii
        X(72) = 0

      Waitus 10000
     'Gosub Video
  Next Ttt


'-------------------------------------------------------------------------------
 Gosub T3

For Ttt = 1 To 8
Simb(ttt) = Ttt + 32
Next Ttt

Gosub Reedeeprom

For Ttt = 1 To 72
X1(ttt) = X(ttt)
X(ttt) = 0
Next Ttt


  For Ttt = 1 To 63
    X(72) = X1(ttt)
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii

      Waitus 10000
     'Gosub Video
  Next Ttt

X(72) = X1(64)

For Ttt = 1 To 100

  Waitus 10000
'Gosub Video
Next Ttt


  For Ttt = 1 To 71
     For Iii = 2 To 72
        X(iii -1) = X(iii)
        Next Iii
        X(72) = 0

      Waitus 10000
     'Gosub Video
  Next Ttt


'-------------------------------------------------------------------------------


For Ttt = 1 To 8
Simb(ttt) = Ttt + 40
Next Ttt

Gosub Reedeeprom

For Ttt = 1 To 72
X1(ttt) = X(ttt)
X(ttt) = 0
Next Ttt


  For Ttt = 1 To 63
    X(72) = X1(ttt)
     For Iii = 2 To 72
        X(iii -1) = X(iii)
     Next Iii
     Waitus 10000

     'Gosub Video
  Next Ttt

X(72) = X1(64)

For Ttt = 1 To 100
 Waitus 10000
'Gosub Video
Next Ttt


  For Ttt = 1 To 71
     For Iii = 2 To 72
        X(iii -1) = X(iii)
        Next Iii
        X(72) = 0
        Waitus 10000
     'Gosub Video
  Next Ttt

'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'If S(9) = 46 Then
' ' For Ttt = 1 To 100
'   Gosub Video
'  Next Ttt
'  Last_symbol = Simb(9) + 1

'  For Ttt = 1 To 71
'     For Iii = 2 To 72
'        X(iii -1) = X(iii)
'     Next Iii
'     Gosub Video
'  Next Ttt

'-------------------------------------------------------------------------------
'Dat = Time$

'For Ttt = 3 To 11
'Simb(ttt -2) = Ttt
'Next Ttt
'Gosub Reedeeprom

'  For Ttt = 1 To 200
'     Gosub Video
'  Next Ttt

'   For Ttt = 1 To 9
'   Simb(ttt) = Ttt
'   Next Ttt

'Gosub Eeprom_to_buffer



'-------------------------------------------------------------------------------

'For Ttt = 1 To 9
'Simb(ttt) = Last_symbol
'Incr Last_symbol
'Next Ttt

'Gosub Reedeeprom

'For Ttt = 1 To 72
'X1(ttt) = X(ttt)
'X(ttt) = 0
'Next Ttt

'  For Ttt = 1 To 71
'    X(72) = X1(ttt)
'     For Iii = 2 To 72
'        X(iii -1) = X(iii)
'     Next Iii
'     Gosub Video
'  Next Ttt


' End If
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------
'-------------------------------------------------------------------------------

'Incr Sdvig_ryada                                            '    
'If Sdvig_ryada = 8 Then
'Sdvig_ryada = 0
'Gosub Sdvigsimbol                                           ' 
'End If

Loop                                                        ' 
'*******************************************************************************
Download:                                                   '   RS232

Portc = 0
For Index = 0 To 511
Temp = Waitkey()
  If Temp > "9" Then
     Temp = Temp - 7
  End If
  Shift Temp , Left , 4
  Eepdata = Temp And &HF0
Temp = Waitkey()
  If Temp > "9" Then
     Temp = Temp - 7
  End If
  Temp = Temp And &HF
  Eepdata = Eepdata Or Temp
  Call Write_eeprom(index , Eepdata )
  Next Index
Gosub Initializaziya
Return
'-------------------------------------------------------------------------------
Initializaziya:                                             ' 
Simb(1) = 1
Simb(2) = 2
Simb(3) = 3
Simb(4) = 4
Simb(5) = 5
Simb(6) = 6
Simb(7) = 7
Simb(8) = 8
Simb(9) = 1

Sdvig_ryada = 7
'Readeeprom M1 , 0                                           ' 1   
'Readeeprom M2 , 1                                           ' 2   
'Maxsimb = M1 + M2                                           '   
'Maxsimb = Maxsimb + 3
Maxsimb = 200
'Readeeprom Speed , 2
'Eeprom_pointer = 16                                         ' 
'Gosub Eeprom_to_buffer
Gosub Reedeeprom
Return
'------------------------------------------------------------------------------
Reedeeprom:
                                        '   eeprom
'Call Read_eeprom(simb(1) , S(1))
S(1) = Text_buffer(simb(1))
Y = S(1) * 8
For Zzz = 1 To 8
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(2) , S(2))
S(2) = Text_buffer(simb(2))
Y = S(2) * 8
For Zzz = 9 To 16
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(3) , S(3))
S(3) = Text_buffer(simb(3))
Y = S(3) * 8
For Zzz = 17 To 24
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(4) , S(4))
S(4) = Text_buffer(simb(4))
Y = S(4) * 8
For Zzz = 25 To 32
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(5) , S(5))
S(5) = Text_buffer(simb(5))
Y = S(5) * 8
For Zzz = 33 To 40
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(6) , S(6))
S(6) = Text_buffer(simb(6))
Y = S(6) * 8
For Zzz = 41 To 48
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(7) , S(7))
S(7) = Text_buffer(simb(7))
Y = S(7) * 8
For Zzz = 49 To 56
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(8) , S(8))
S(8) = Text_buffer(simb(8))
Y = S(8) * 8
For Zzz = 57 To 64
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz

'Call Read_eeprom(simb(9) , S(9))
S(9) = Text_buffer(simb(9))
Y = S(9) * 8
For Zzz = 65 To 72
X(zzz) = Lookup(y , Asciitable)
Incr Y
Next Zzz






Return
'------------------------------------------------------------------------------
Sdvigsimbol:                                                ' 
For Rrr = 1 To 9
Incr Simb(rrr)
'If Simb(rrr) = Maxsimb Then Simb(rrr) = 3
Gosub Reedeeprom
Next Rrr
Return
'------------------------------------------------------------------------------
Video:                                                      '      

Disable Interrupts


For Stroka = 0 To 7
Stroka_invert = 7 - Stroka

If Sdvig_ryada = 0 Then
For Aaa = 1 To 65
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 1 Then
For Aaa = 2 To 66
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 2 Then
For Aaa = 3 To 67
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 3 Then
For Aaa = 4 To 68
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 4 Then
For Aaa = 5 To 69
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 5 Then
For Aaa = 6 To 70
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 6 Then
For Aaa = 7 To 71
Pattern = X(aaa)
Gosub Work
Next
End If

If Sdvig_ryada = 7 Then
For Aaa = 8 To 72
Pattern = X(aaa)
Gosub Work
Next
End If
Speed = 6
'    
If Stroka = 0 Then Portc = 1
If Stroka = 1 Then Portc = 2
If Stroka = 2 Then Portc = 4
If Stroka = 3 Then Portc = 8
If Stroka = 4 Then Portc = 16
If Stroka = 5 Then Portc = 32
If Stroka = 6 Then Portc = 64
If Stroka = 7 Then Portc = 128

'       
'If Speed = 1 Then Waitus 1491
'If Speed = 2 Then Waitus 1715
'If Speed = 3 Then Waitus 1972
'If Speed = 4 Then Waitus 4000                               '2268
'If Speed = 5 Then Waitus 2608
'If Speed = 6 Then Waitus 3000

Waitus 1000

Portc = 0                                                   '  
Waitus 100

Next Stroka

Enable Interrupts

Return





'------------------------------------------------------------------------------
Eeprom_to_buffer:

Gosub T3

'Call Read_eeprom(eeprom_pointer , Ttt)
'If Ttt = 0 Then Eeprom_pointer = 4
Ttt = 1

For Tttt = 16 To 200
Call Read_eeprom(tttt , Text_buffer(ttt))
'If Text_buffer(ttt) = 46 Then
'   Eeprom_pointer = Tttt + 1

   'Return
  'End If
Incr Ttt
Next Tttt





Return

'------------------------------------------------------------------------------




'------------------------------------------------------------------------------
Work:                                                       '    
Dannye = Pattern.stroka_invert
Portb.2 = 0
Portb.0 = Dannye
Portb.2 = 1
Return


  '##########################  #############################

Sub Write_eeprom(byval Adres As Word , Byval Value As Byte)
Hi = High(adres)
Lo = Low(adres)
    I2cstart                                                'start condition
    I2cwbyte Slave_w                                        'slave address
    I2cwbyte Hi                                             'high address of EEPROM
    I2cwbyte Lo                                             'low address of EEPROM
    I2cwbyte Value                                          'value to write
    I2cstop                                                 'stop condition
    Waitms 5                                                'wait for 10 milliseconds
End Sub
'##########################  #############################

Sub Read_eeprom(byval Adres As Word , Value As Byte)
Set Portb.4                                                 '      EEPROM
Hi = High(adres)
Lo = Low(adres)
    I2cstart                                                'generate start
    I2cwbyte Slave_w                                        'slave address
    I2cwbyte Hi                                             'high address of EEPROM
    I2cwbyte Lo                                             'low address of EEPROM
    I2cstart                                                'repeated start
    I2cwbyte Slave_r                                        'slave address (read)
    I2crbyte Value , Nack                                   'read byte
    I2cstop                                                 'generate stop
 Reset Portb.4
End Sub

Dim Weekday As Byte
 'called from ds1307clock.lib
Getdatetime:
  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 0                                                ' start address in 1307

  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307r                                          ' send address
  I2crbyte _sec , Ack
  I2crbyte _min , Ack                                       ' MINUTES
  I2crbyte _hour , Ack                                      ' Hours
  I2crbyte Weekday , Ack                                    ' Day of Week
  I2crbyte _day , Ack                                       ' Day of Month
  I2crbyte _month , Ack                                     ' Month of Year
  I2crbyte _year , Nack                                     ' Year
  I2cstop
  _sec = Makedec(_sec) : _min = Makedec(_min) : _hour = Makedec(_hour)
  _day = Makedec(_day) : _month = Makedec(_month) : _year = Makedec(_year)
Return

Setdate:
  _day = Makebcd(_day) : _month = Makebcd(_month) : _year = Makebcd(_year)
  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 4                                                ' starting address in 1307
  I2cwbyte _day                                             ' Send Data to SECONDS
  I2cwbyte _month                                           ' MINUTES
  I2cwbyte _year                                            ' Hours
  I2cstop
Return

Settime:
  _sec = Makebcd(_sec) : _min = Makebcd(_min) : _hour = Makebcd(_hour)
  I2cstart                                                  ' Generate start code
  I2cwbyte Ds1307w                                          ' send address
  I2cwbyte 0                                                ' starting address in 1307
  I2cwbyte _sec                                             ' Send Data to SECONDS
  I2cwbyte _min                                             ' MINUTES
  I2cwbyte _hour                                            ' Hours
  I2cstop
Return

'---------------------------------------------------------------------------------------
 T0:

 Return


'---------------------------------------------------------------------------------------
T1:


Return
'---------------------------------------------------------------------------------------
T2:



Return

'---------------------------------------------------------------------------------------
T3:
 Set Portb.4
  1wreset                                                   ' 
 1wwrite &HCC                                               ' 
 1wwrite &HBE                                               '  ,    

 Byte0 = 1wread()                                           '      
 Byte1 = 1wread()                                           '    



    If Byte1 > 248 Then                                     '   

      Byte0 = &HFF - Byte0
      Byte1 = &HFF - Byte1
      N1 = 45                                               ' ,  -

    Else

     N1 = 43                                                ', 

   End If

 T1 = Byte0 / 16                                            '     4  (2*2*2*2=16)
 T2 = Byte1 * 16                                            '     4  (2*2*2*2=16)
 T1 = T1 + T2                                               '     



   If N1 = 43 And T1 = 0 Then                               '  "+"   
      N1 = 32
   End If


N3 = T1 Mod 10                                              '  
'N2 = Abs(m2)
N3 = N3 + 48

T1 = T1 \ 10


N2 = T1 Mod 10                                              '  
'N3 = Abs(m3)
N2 = N2 + 48

'--------------------------------------------------------

 Text_buffer(37) = N2
 Text_buffer(38) = N3
 Text_buffer(39) = 159


 'Call Write_eeprom(36 , N1)
'Call Write_eeprom(37 , N2)
'Call Write_eeprom(38 , N3)
'Call Write_eeprom(39 , 159)

 Reset Portb.4

  Return



'****************************************************************************
Asciitable:                                                 ' 
' 0
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 1
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 2
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 3
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 4
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 5
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 6
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 7
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 8
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 9
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 10
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 11
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 12
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 13
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 14
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 15
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 16
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 17
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 18
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 19
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 20
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 21
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 22
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 23
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 24
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 25
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 26
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 27
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 28
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 29
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 30
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 31
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 32
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 33      !
Data &B00000000
Data &B00000000
Data &B00000000
Data &B01101111
Data &B01101111
Data &B00000000
Data &B00000000
Data &B00000000
' 34      "
Data &B00000000
Data &B00000011
Data &B00000011
Data &B00000000
Data &B00000000
Data &B00000011
Data &B00000011
Data &B00000000
' 35      #
Data &B11100100
Data &B00111100
Data &B00100111
Data &B11100100
Data &B00111100
Data &B00100111
Data &B00100100
Data &B00000000
' 36      $
Data &B00100110
Data &B01101111
Data &B01001001
Data &B11111111
Data &B01001001
Data &B01111001
Data &B00110010
Data &B00000000
' 37      %
Data &B01000111
Data &B00100101
Data &B00010111
Data &B00001000
Data &B01110100
Data &B01010010
Data &B01110001
Data &B00000000
' 38      &
Data &B00110000
Data &B01110110
Data &B01001001
Data &B01001001
Data &B01010110
Data &B00100000
Data &B01010000
Data &B00000000
' 39      '
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000011
Data &B00000011
Data &B00000000
Data &B00000000
Data &B00000000
' 40      (
Data &B00111100
Data &B01111110
Data &B01000010
Data &B10000001
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 41      )
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B10000001
Data &B01000010
Data &B01111110
Data &B00111100
' 42      *
Data &B00001000
Data &B00101010
Data &B00011100
Data &B01111111
Data &B00011100
Data &B00101010
Data &B00001000
Data &B00000000
' 43      +
Data &B00000000
Data &B00011000
Data &B00011000
Data &B01111110
Data &B01111110
Data &B00011000
Data &B00011000
Data &B00000000
' 44      ,
Data &B10100000
Data &B01100000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 45      -
Data &B00000000
Data &B00001000
Data &B00001000
Data &B00001000
Data &B00001000
Data &B00001000
Data &B00001000
Data &B00000000
' 46      .
Data &B01100000
Data &B01100000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 47      /
Data &B01000000
Data &B01100000
Data &B00110000
Data &B00011000
Data &B00001100
Data &B00000110
Data &B00000011
Data &B00000000
' 48      0
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000
' 49      1
Data &B00000000
Data &B01000100
Data &B01000010
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B00000000
' 50      2
Data &B01000110
Data &B01100111
Data &B01100001
Data &B01010001
Data &B01001001
Data &B01001111
Data &B01000110
Data &B00000000
'51       3
Data &B00110011
Data &B01110011
Data &B01000001
Data &B01001001
Data &B01001101
Data &B01111011
Data &B00110011
Data &B00000000
' 52      4
Data &B00110000
Data &B00111000
Data &B00100100
Data &B00100010
Data &B01111111
Data &B01111111
Data &B00100000
Data &B00000000
' 53      5
Data &B00110111
Data &B01110111
Data &B01000101
Data &B01000101
Data &B01000101
Data &B01111101
Data &B00111001
Data &B00000000
' 54      6
Data &B00111110
Data &B01111111
Data &B01000101
Data &B01000101
Data &B01000101
Data &B01111001
Data &B00111010
Data &B00000000
' 55      7
Data &B00000011
Data &B00000011
Data &B01100011
Data &B01110011
Data &B00001011
Data &B00000111
Data &B00000011
Data &B00000000
' 56      8
Data &B00110110
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00110110
Data &B00000000
' 57      9
Data &B00101110
Data &B01001111
Data &B01010001
Data &B01010001
Data &B01010001
Data &B01111111
Data &B00111110
Data &B00000000
' 58      :
Data &B00000000
Data &B00000000
Data &B00000000
Data &B01100011
Data &B01100011
Data &B00000000
Data &B00000000
Data &B00000000
' 59      ;
Data &B10100011
Data &B01100011
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 60      <
Data &B00001000
Data &B00011100
Data &B00110110
Data &B01100011
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 61      =
Data &B00000000
Data &B00010100
Data &B00010100
Data &B00010100
Data &B00010100
Data &B00010100
Data &B00000000
Data &B00000000
' 62      >
Data &B01100011
Data &B00110110
Data &B00011100
Data &B00001000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 63      ?
Data &B00000000
Data &B00000110
Data &B00000011
Data &B01101001
Data &B01101001
Data &B00001111
Data &B00000110
Data &B00000000
' 64      @
Data &B00111110
Data &B01000011
Data &B01011001
Data &B00010101
Data &B00111101
Data &B00100001
Data &B00011110
Data &B00000000
' 65      A
Data &B01111000
Data &B01111100
Data &B00010010
Data &B00010001
Data &B00010001
Data &B01111111
Data &B01111111
Data &B00000000
' 66      B
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00110110
Data &B00000000
' 67      C
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01100011
Data &B00110110
Data &B00000000
' 68      D
Data &B01111111
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B00111110
Data &B00011100
Data &B00000000
' 69      E
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01100011
Data &B01100011
Data &B00000000
' 70      F
Data &B01111111
Data &B01111111
Data &B00001001
Data &B00001001
Data &B00001001
Data &B00000011
Data &B00000011
Data &B00000000
' 71      G
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01010001
Data &B01010001
Data &B01110111
Data &B00110110
Data &B00000000
' 72      H
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00001000
Data &B00001000
Data &B01111111
Data &B01111111
Data &B00000000
' 73      I
Data &B00000000
Data &B00000000
Data &B01000001
Data &B01111111
Data &B01111111
Data &B01000001
Data &B00000000
Data &B00000000
' 74      J
Data &B00111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B01000000
Data &B00110000
Data &B00110000
Data &B00000000
' 75      K
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00010100
Data &B00100010
Data &B01100011
Data &B01100011
Data &B00000000
' 76      L
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B01000000
Data &B01100000
Data &B01100000
Data &B00000000
' 77      M
Data &B01111111
Data &B01111111
Data &B00000010
Data &B00111100
Data &B00000010
Data &B01111111
Data &B01111111
Data &B00000000
' 78      N
Data &B01111111
Data &B01111111
Data &B00000100
Data &B00001000
Data &B00010000
Data &B01111111
Data &B01111111
Data &B00000000
' 79      O
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000
' 80      P
Data &B01111111
Data &B01111111
Data &B00010001
Data &B00010001
Data &B00010001
Data &B00011111
Data &B00001110
Data &B00000000
' 81      Q
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01010001
Data &B01100001
Data &B01111111
Data &B10111110
Data &B00000000
' 82      R
Data &B01111111
Data &B01111111
Data &B00010001
Data &B00110001
Data &B01010001
Data &B01010001
Data &B01001110
Data &B00000000
' 83      S
Data &B00100110
Data &B01101111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01111011
Data &B00110010
Data &B00000000
' 84      T
Data &B00000011
Data &B00000011
Data &B00000001
Data &B01111111
Data &B00000001
Data &B00000011
Data &B00000011
Data &B00000000
' 85      U
Data &B00111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B01000000
Data &B01111111
Data &B00111111
Data &B00000000
' 86      V
Data &B00001111
Data &B00011111
Data &B00100000
Data &B01000000
Data &B00100000
Data &B00011111
Data &B00001111
Data &B00000000
' 87      W
Data &B00011111
Data &B00111111
Data &B01100000
Data &B00011111
Data &B01100000
Data &B00111111
Data &B00011111
Data &B00000000
' 88      X
Data &B01100011
Data &B01110111
Data &B00010100
Data &B00001000
Data &B00010100
Data &B01110111
Data &B01100011
Data &B00000000
' 89      Y
Data &B00000111
Data &B00001111
Data &B00010000
Data &B11100000
Data &B00010000
Data &B00001111
Data &B00000111
Data &B00000000
' 90      Z
Data &B01000011
Data &B01100011
Data &B01010001
Data &B01001001
Data &B01000101
Data &B01100011
Data &B01100001
Data &B00000000
' 91      [
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B01111111
Data &B01111111
Data &B01000001
Data &B00000000
' 92      \
Data &B00000011
Data &B00000110
Data &B00001100
Data &B00011000
Data &B00110000
Data &B01100000
Data &B01000000
Data &B00000000
' 93      ]
Data &B01000001
Data &B01111111
Data &B01111111
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 94      ^
Data &B00000000
Data &B00001100
Data &B00000110
Data &B00000011
Data &B00000110
Data &B00001100
Data &B00000000
Data &B00000000
' 95      _
Data &B01100000
Data &B01100000
Data &B01100000
Data &B01100000
Data &B01100000
Data &B01100000
Data &B01100000
Data &B00000000
' 96
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 97
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 98
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 99
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 100
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 101
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 102
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 103
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 104
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 105
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 106
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 107
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 108
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 109
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 110
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 111
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 112
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 113
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 114
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 115
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 116
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 117
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 118
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 119
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 120
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 121
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 122
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 123
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 124
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 125
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 126
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 127
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 128
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 129
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 130
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 131
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 132
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 133
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 134
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 135
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 136
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 137
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 138
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 139
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 140
Data &B00000100
Data &B00111111
Data &B01000100
Data &B01000000
Data &B00100000
Data &B00000000
Data &B00000000
Data &B01001100
' 141
Data &B01010000
Data &B00100000
Data &B00011100
Data &B01000000
Data &B00111000
Data &B00000100
Data &B01111100
Data &B00000000
' 142
Data &B00000100
Data &B00111111
Data &B01000100
Data &B01000000
Data &B00100000
Data &B00000000
Data &B01111100
Data &B01000000
' 143
Data &B01000000
Data &B01111100
Data &B11000000
Data &B00000000
Data &B00000000
Data &B01111100
Data &B01010100
Data &B01000100
' 144
Data &B00000000
Data &B01000100
Data &B00101000
Data &B00010000
Data &B00101000
Data &B01000100
Data &B00000000
Data &B00000000
' 145
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 146
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 147
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 148
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 149
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 150
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 151
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 152
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 153
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 154
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 155
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 156
Data &B00000100
Data &B00111111
Data &B01000100
Data &B01000000
Data &B00100000
Data &B00000000
Data &B01000000
Data &B00111000
' 157
Data &B00000100
Data &B01111100
Data &B00000000
Data &B01110000
Data &B00101000
Data &B00100100
Data &B01111100
Data &B00000000
' 158
Data &B01111100
Data &B01010100
Data &B01010100
Data &B00100000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 159
Data &B00000110
Data &B00001001
Data &B00001001
Data &B00000110
Data &B00000000
Data &B00111110
Data &B01000001
Data &B00100010
' 160
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 161
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 162
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 163
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 164
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 165
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 166
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 167
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 168
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 169
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 170
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 171
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 172
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 173
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 174
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 175
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 176
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 177
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 178
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 179
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 180
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 181
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 182
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 183
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 184
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 185
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 186
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 187
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 188
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 189
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 190
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 191
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
'192      
Data &B01111000
Data &B01111100
Data &B00010010
Data &B00010001
Data &B00010001
Data &B01111111
Data &B01111111
Data &B00000000
'193      
Data &B01111111
Data &B01111111
Data &B01000101
Data &B01000101
Data &B01000101
Data &B01111101
Data &B00111001
Data &B00000000
'194      
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00110110
Data &B00000000
'195      
Data &B01111111
Data &B01111111
Data &B00000001
Data &B00000001
Data &B00000001
Data &B00000011
Data &B00000011
Data &B00000000
'196      
Data &B11000000
Data &B01111000
Data &B01111100
Data &B01000010
Data &B01000001
Data &B01111111
Data &B01111111
Data &B11000000
'197      
Data &B01111111
Data &B01111111
Data &B01001001
Data &B01001001
Data &B01001001
Data &B01100011
Data &B01100011
Data &B00000000
'198      
Data &B01100011
Data &B01110111
Data &B00001100
Data &B01111111
Data &B00001100
Data &B01110111
Data &B01100011
Data &B00000000
'199      
Data &B00000000
Data &B00000000
Data &B01000001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00110110
Data &B00000000

'200      
Data &B01111111
Data &B01111111
Data &B00010000
Data &B00001000
Data &B00000100
Data &B01111111
Data &B01111111
Data &B00000000
'201      
Data &B01111111
Data &B01111111
Data &B00010000
Data &B00001011
Data &B00000100
Data &B01111111
Data &B01111111
Data &B00000000
'202      
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00010100
Data &B00100010
Data &B01100011
Data &B01100011
Data &B00000000
'203      
Data &B01111000
Data &B01111100
Data &B00000010
Data &B00000001
Data &B00000001
Data &B01111111
Data &B01111111
Data &B00000000
'204      
Data &B01111111
Data &B01111111
Data &B00000010
Data &B00111100
Data &B00000010
Data &B01111111
Data &B01111111
Data &B00000000
'205      
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00001000
Data &B00001000
Data &B01111111
Data &B01111111
Data &B00000000
'206      
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000
'207      
Data &B01111111
Data &B01111111
Data &B00000001
Data &B00000001
Data &B00000001
Data &B01111111
Data &B01111111
Data &B00000000
'208      
Data &B01111111
Data &B01111111
Data &B00010001
Data &B00010001
Data &B00010001
Data &B00011111
Data &B00001110
Data &B00000000
'209      
Data &B00111110
Data &B01111111
Data &B01000001
Data &B01000001
Data &B01000001
Data &B01100011
Data &B00100010
Data &B00000000
'210      
Data &B00000011
Data &B00000011
Data &B00000001
Data &B01111111
Data &B00000001
Data &B00000011
Data &B00000011
Data &B00000000
'211      
Data &B00100111
Data &B01101111
Data &B01010000
Data &B01010000
Data &B01010000
Data &B01111111
Data &B00111111
Data &B00000000
'212      
Data &B00111110
Data &B01111111
Data &B01000001
Data &B11111111
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000
'213      
Data &B01100011
Data &B01110111
Data &B00010100
Data &B00001000
Data &B00010100
Data &B01110111
Data &B01100011
Data &B00000000
'214      
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01000000
Data &B01000000
Data &B01111111
Data &B01111111
Data &B11000000
'215      
Data &B00001111
Data &B00011111
Data &B00010000
Data &B00010000
Data &B00010000
Data &B01111111
Data &B01111111
Data &B00000000
'216      
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01111111
Data &B01000000
Data &B01111111
Data &B01111111
Data &B00000000
'217      
Data &B01111111
Data &B01111111
Data &B01000000
Data &B01111111
Data &B01000000
Data &B01111111
Data &B01111111
Data &B11000000
'218      
Data &B00000001
Data &B01111111
Data &B01111111
Data &B01000100
Data &B01000100
Data &B01111100
Data &B00111000
Data &B00000000
'219      
Data &B01111111
Data &B01111111
Data &B01000100
Data &B01000100
Data &B00111000
Data &B00000000
Data &B01111111
Data &B00000000
'220      
Data &B01111111
Data &B01111111
Data &B01000100
Data &B01000100
Data &B01000100
Data &B01111100
Data &B00111000
Data &B00000000
'221      
Data &B00000000
Data &B01100011
Data &B01000001
Data &B01001001
Data &B01001001
Data &B01111111
Data &B00111110
Data &B00000000
'222      
Data &B01111111
Data &B01111111
Data &B00001000
Data &B00111110
Data &B01000001
Data &B01111111
Data &B00111110
Data &B00000000
'223      
Data &B01001110
Data &B01011111
Data &B01010001
Data &B00110001
Data &B00010001
Data &B01111111
Data &B01111111
Data &B00000000
' 224
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 225
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 226
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 227
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 228
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 229
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 230
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 231
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 232
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 233
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 234
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 235
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 236
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 237
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 238
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 239
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 240
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 241
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 242
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 243
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 244
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 245
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 246
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 247
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 248
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 249
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 250
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 251
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 252
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 253
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 254
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 255
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
Data &B00000000
' 256
Data &B00000000
Data &B11111111
Data &B00000000
Data &B11111111
Data &B00000000
Data &B11111111
Data &B00000000
Data &B11111111